package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 药品注册表
 * </p>
 *
 * @author zhoutg
 * @since 2021-05-11
 */
@Data
public class KlDrugMappingDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 药品代码
     */
    private String drugCode;

    /**
     * 注册名称
     */
    private String name;

    /**
     * 英文名称
     */
    private String enName;

    /**
     * 商品名称
     */
    private String tradeName;

    /**
     * 药品剂型
     */
    private String form;

    /**
     * 注册规格
     */
    private String specification;

    /**
     * 最小包装数量
     */
    private String minPackQuantity;

    /**
     * 最小包装单位
     */
    private String minPackUnit;

    /**
     * 药品企业
     */
    private String company;

    /**
     * 批准文号
     */
    private String approval;

    /**
     * 药品本位码
     */
    private String standardCode;

    /**
     * 医保类型
     */
    private String insuranceType;

    /**
     * 医保备注
     */
    private String insuranceRemrk;

    /**
     * 药品类别
     */
    private String drugType;

    /**
     * 备注
     */
    private String remark;

}
