package com.diagbot.dto;


import lombok.Data;

import java.io.Serializable;

;

/**
 * <p>
 * 手术表
 * </p>
 *
 * @author kwz
 * @since 2021-05-11
 */
@Data
public class KlOperationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 手术级别（0,1,2,3,4）
     */
    private Integer operationLevel;

    /**
     * 手术操作码
     */
    private String operationCode;

}
