package com.diagbot.dto;


import lombok.Data;

import java.io.Serializable;

;

/**
 * <p>
 * 辅检表
 * </p>
 *
 * @author kwz
 * @since 2021-05-11
 */
@Data
public class KlPacsDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 检查方法
     */
    private String checkMethod;

    /**
     * 项目定义
     */
    private String definition;

    /**
     * 检查目的
     */
    private String checkObjective;

    /**
     * 检查技术
     */
    private String checkSkillful;

    /**
     * 禁忌症和局限性
     */
    private String condLimit;

    /**
     * 适应症
     */
    private String interventional;

    /**
     * 危急标识（0：不危急，1：危急）
     */
    private Integer emergencySign;

    /**
     * 检查前准备
     */
    private String checkPrepare;

}
