package com.diagbot.dto;


import com.google.common.collect.Lists;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

;

/**
 * <p>
 * 手术表
 * </p>
 *
 * @author kwz
 * @since 2021-05-11
 */
@Data
public class KlVitalResultDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 不适宜人群
     */
    private String suitablePopNo;

    /**
     * 操作方法
     */
    private String checkMethod;

    // 科室列表
    private List<KlConceptSimDTO> deptList = Lists.newLinkedList();

    // 部位列表
    private List<KlConceptSimDTO> partList = Lists.newLinkedList();
}
