package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.KlDrugMapping;
import com.diagbot.mapper.KlDrugMappingMapper;
import com.diagbot.service.KlDrugMappingService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 药品通用名和注册名映射表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2021-05-11
 */
@Service
@DS("med")
public class KlDrugMappingServiceImpl extends ServiceImpl<KlDrugMappingMapper, KlDrugMapping> implements KlDrugMappingService {

}
