package com.diagbot.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 药品通用名和注册药品关联表
 * </p>
 *
 * @author zhoutg
 * @since 2021-05-11
 */
@Data
public class KlDrugMappingGetVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 药品通用名conceptId
     */
    private Long drugConcept;

    /**
     * 注册药品Id
     */
    private Long registerId;
}
