package com.diagbot.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 药品通用名和注册名映射表
 * </p>
 *
 * @author zhoutg
 * @since 2021-05-11
 */
@Data
public class KlDrugVO implements Serializable {

    private static final long serialVersionUID = 1L;

    // 药品类别（0：西药，1：中成药）
    private Integer drug;

    // // 药品注册名Id列表
    // private List<Long> registerIdList = Lists.newLinkedList();

}
