package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-06-08 11:24
 */
@Setter
@Getter
public class ExportConceptModeDTO {
    @Excel(name = "医学标准术语",width = 40, orderNum = "1", isImportField = "true" )
    private String libName;
    @Excel(name = "同义词",width = 40, orderNum = "2", isImportField = "true" )
    private String synonymName;
    @Excel(name = "类型",orderNum = "3", isImportField = "true" )
    private String typeName;
    @Excel(name = "性别", mergeRely = {1,2,3},orderNum = "4", isImportField = "true" )
    private Integer sexType;
    @Excel(name = "最小年龄", orderNum = "5", isImportField = "true" )
    private Double minAge;
    @Excel(name = "最大年龄", orderNum = "6", isImportField = "true" )
    private Double maxAge;
}
