package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-02 14:07
 */
@Setter
@Getter
public class KlConceptAllDTO {
    private Long conceptId;
    private Long libId;
    private String libName;
    private String spell;
    private Integer libType;
    private String typeName;
    private String synonymName;
    private Integer status;
    private Integer isConcept;
    private Integer sexType;
    private Integer isHasCommon;
    private Double minAge;
    private Double maxAge;
    private String remark;
    private List<KlConceptAllSubDTO> klConceptSub;

    // 疾病扩展信息
    private KlDiseaseDTO klDiseaseDTO;

    // 药品扩展信息
    private KlDrugDTO klDrugDTO;

    // 症状扩展信息
    private KlSymptomDTO klSymptomDTO;

    //化验扩展信息
    private KlLisDTO klLisDTO;

    //辅检扩展信息
    private KlPacsDTO klPacsDTO;

    //手术扩展信息
    private KlOperationDTO klOperationDTO;

    //体征结果扩展信息
    private KlVitalResultDTO klVitalResultDTO;

    // 中医疾病扩展信息
    private KlTcmDiseaseDTO klTcmDiseaseDTO;

    // 中医证候扩展信息
    private KlTcmSyndromeDTO klTcmSyndromeDTO;
}
