package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 概念表
 * </p>
 *
 * @author zhoutg
 * @since 2021-03-01
 */
@Data
public class KlConceptSimDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键,概念id
     */
    private Long id;

    /**
     * 概念名称(冗余)
     */
    private String libName;

    /**
     * 概念词性type(冗余)
     */
    private Integer libType;

}
