package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 药品通用名导出
 * </p>
 *
 * @author zhoutg
 * @since 2021-05-11
 */
@Data
public class KlDrugExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 注册名称
     */
    @Excel(name = "药品通用名", orderNum = "1")
    private String name;
}
