package com.diagbot.dto;


import lombok.Data;

import java.io.Serializable;

;

/**
 * <p>
 * 化验表
 * </p>
 *
 * @author zhoutg
 * @since 2021-05-11
 */
@Data
public class KlLisDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 最小值
     */
    private Double minValue;

    /**
     * 最大值
     */
    private Double maxValue;

    /**
     * 类型(0:范围内;1:范围外)
     */
    private Integer type;

    /**
     * 单位概念id
     */

    private String unit;

    /**
     * 检查标本
     */
    private String checkSpecimen;

    /**
     * 检查方法
     */
    private String checkMethod;

    /**
     * 影响因素
     */
    private String influenceFac;

    /**
     * 临床意义
     */
    private String clinicalSig;

    /**
     * 定性（阴、阳性）
     */
    private String qualitative;

    /**
     * 所属类别
     */
    private String category;

    /**
     * 英文名称
     */
    private String enName;
}
