package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlConceptAllDTO;
import com.diagbot.dto.KlConceptInfoDTO;
import com.diagbot.dto.KlConceptSimDTO;
import com.diagbot.entity.KlConcept;
import com.diagbot.vo.ConceptRelationVO;
import com.diagbot.vo.KlConceptAllVO;
import com.diagbot.vo.KlConceptInfoVO;

import java.util.List;

/**
 * <p>
 * 概念表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public interface KlConceptMapper extends BaseMapper<KlConcept> {

    IPage<KlConceptInfoDTO> getConceptPage(KlConceptInfoVO klConceptInfoVO);

    List<KlConceptAllDTO> getConceptAll(KlConceptAllVO klConceptAllVO);

    IPage<KlConceptInfoDTO> getConceptPage2(KlConceptInfoVO klConceptInfoVO);

    List<KlConceptSimDTO> getRelationConcept(ConceptRelationVO conceptRelationVO);
}
