package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlConceptSimDTO;
import com.diagbot.dto.KlDrugMappingDTO;
import com.diagbot.dto.KlDrugRegisterDTO;
import com.diagbot.entity.KlDrugRegister;
import com.diagbot.vo.KlDrugMappingGetVO;
import com.diagbot.vo.KlDrugRegisterPageVO;
import com.diagbot.vo.KlDrugSearchVO;

import java.util.List;

/**
 * <p>
 * 药品注册表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2021-05-11
 */
public interface KlDrugRegisterMapper extends BaseMapper<KlDrugRegister> {

    IPage<KlDrugRegisterDTO> getPage(KlDrugRegisterPageVO klDrugRegisterPageVO);

    List<KlDrugMappingDTO> getMappingRegister(KlDrugMappingGetVO klDrugMappingGetVO);

    List<KlConceptSimDTO> getMappingDrug(KlDrugMappingGetVO klDrugMappingGetVO);

    List<KlConceptSimDTO> searchDrug(KlDrugSearchVO klDrugSearchVO);
}
