package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.KlLibraryInfo;
import com.diagbot.mapper.KlLibraryInfoMapper;
import com.diagbot.service.KlLibraryInfoService;
import com.diagbot.vo.KlLibraryInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 术语表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@Service
@DS("med")
public class KlLibraryInfoServiceImpl extends ServiceImpl<KlLibraryInfoMapper, KlLibraryInfo> implements KlLibraryInfoService {
    @Override
    public List<KlLibraryInfo> getLib(KlLibraryInfoVO klLibraryInfoVO) {
        return baseMapper.getLib(klLibraryInfoVO);
    }

    @Override
    public Set<String> getLibraryNameAll() {
        return baseMapper.getLibraryNameAll() ;
    }

}
