package com.diagbot.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.handler.inter.IExcelDataModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-04-13 14:38
 */
@Setter
@Getter
public class ImportConceptAllVO implements IExcelDataModel {
    @Excel(name = "医学标准术语")
    private String libName;
    private String spell;
    private Integer libType;
    @Excel(name = "类型")
    private String typeName;
    @Excel(name = "同义词")
    private String synonymName;
    private Integer isConcept;
    @Excel(name = "性别")
    private Integer sexType;
    private Integer isHasCommon;
    @Excel(name = "最小年龄")
    private Double minAge;
    @Excel(name = "最大年龄")
    private Double maxAge;

    List<ImportConceptSubVO> synonymsList;
    //行号
    private Integer rowNum;
    @Override
    public Integer getRowNum() {
        return rowNum;
    }

    @Override
    public void setRowNum(Integer rowNum) {
        this.rowNum=rowNum+1;//表头占一行

    }
}
