package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/4/13 16:08
 */
@Getter
@Setter
public class ScaleConfigPageVO extends Page {
    /**
     * 医院id
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;

    /**
     * his大项名称
     */
    private String hisName;

    /**
     * 标准名
     */
    private String uniqueName;

    /**
     * 标准编码
     */
    private String uniqueCode;
}
