package com.diagbot.vo;

import com.google.common.collect.Lists;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zhoutg
 * @date 2021/3/10
 * @time 12:57
 */
@Data
public class SearchVO {

    @ApiModelProperty(value="名称")
    private String name;

    @ApiModelProperty(value="词性id")
    @NotNull(message ="请输入搜索词的词性" )
    private Integer libType;

    @ApiModelProperty(value="需要排除的概念id集合")
    private List<Long> excludedConceptIds = Lists.newArrayList();
}
