package com.diagbot.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-05-31 13:15
 */
@Setter
@Getter
public class TermExcelVO {
    @Excel(name = "医学标准术语")
    private String libName;
    @Excel(name = "同义词")
    private String synonymName;
    @Excel(name = "类型")
    private String typeName;
    @Excel(name = "性别")
    private Integer sexType;
    @Excel(name = "最小年龄")
    private Double minAge;
    @Excel(name = "最大年龄")
    private Double maxAge;
}
